powered by Jive Software

JDK version issue

I am currently programming and compiling with jdk7, and then failed to log in to the console under jdk8 environment. What’s the reason? There is no error in the log. The login password is correct.

Which version of Openfire are you using?

3.9.3

That ancient openfire does not support jdk8

But 3.9.3 on openfire’s official website works. Mine isn’t.

There was no such version. Java 8 was first bundled with 4.0.0 version, so it most probably started working with 8 only from that version.

3.9.9 is not even a real thing, what are you referencing?

Sorry I was wrong, it was 3.9.3

Sorry I was wrong, it was 3.9.3.